package com.usky.ai.domain;

import java.time.LocalDateTime;

public class AiQuestionItem {
    private Long id;
    private String sessionId;
    private Long userId;
    private String userName;
    private String role;
    private String content;
    private String reasoningContent;
    private LocalDateTime askTime;

    public AiQuestionItem(String role, String content) {
        this.role = role;
        this.content = content;
    }

    public Long getId() { return id; }

    public void setId(Long id) { this.id = id; }

    public String getSessionId() { return sessionId; }

    public void setSessionId(String sessionId) { this.sessionId = sessionId; }

    public Long getUserId() { return userId; }

    public void setUserId(Long userId) { this.userId = userId; }

    public String getUserName() { return userName; }

    public void setUserName(String userName) { this.userName = userName; }

    public String getRole() { return role; }

    public void setRole(String role) { this.role = role; }

    public String getContent() { return content; }

    public void setContent(String content) { this.content = content; }

    public String getReasoningContent() { return reasoningContent; }

    public void setReasoningContent(String reasoningContent) { this.reasoningContent = reasoningContent; }

    public LocalDateTime getAskTime() { return askTime; }

    public void setAskTime(LocalDateTime askTime) { this.askTime = askTime; }
}
